Create Published AttributeCopy Pagepost https://sandbox.alloy.co/v1/published-attributesBody Paramspublished_attribute_namestringrequiredThe name of the published attribute. If the published attribute is an input attribute in a workflow, this name will serve as the selector in the Evaluation payload. When creating transactions via the Events API (transaction events), you can include published attribute values directly in the event data payload using this name as the field name. data_typestringenumrequiredThe data type of the published attribute.integerdecimalstringbooleandatetimestampAllowed:integerdecimalstringbooleandatetimestampdefault_valuestringnumberbooleanrequiredA default value is assigned to the published attribute for each object of the object_type. If the published attribute is being used as an input attribute, then this value will be used if there is no value provided in the evaluation payload.default_value_notestring | nullA description of the default value.contains_piibooleanrequiredThis is set to true when the published attribute contains PII. If it's true this field will be stored encrypted. Unable to be changed once set.truefalseobject_typestringenumrequiredThe object type to which this published attribute applies. entity: Published attribute values are associated with entities and require either entity_token or external_entity_id transaction: Published attribute values are associated with transactions and require a transaction_token entitytransactionAllowed:entitytransactionvalue_expires_ininteger | nullThe number of seconds that this published attribute's values will persist for.jq_filterstring | nullA way to transform JSON using the jq cli tool.descriptionstring | nullA description of the published attribute.Responses 201Published Attribute Object. 400There was a validation error when creating the published attribute.Updated about 1 month ago